## mandos 1.8.8

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.7
+version:=1.8.8
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -89,6 +89,8 @@
 			--variable=systemdsystemunitdir)
 TMPFILES:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
 			--variable=tmpfilesdir)
+SYSUSERS:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
+			--variable=sysusersdir)
 
 GNUTLS_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I gnutls)
 GNUTLS_LIBS:=$(shell $(PKG_CONFIG) --libs gnutls)
@@ -332,5 +334,3 @@
 	@echo '## From mandos-client:                               #'
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
-	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
-	@echo '# Failed to bring up interface "*": Operation not... #'
