## mandos 1.8.9

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.8
+version:=1.8.9
 SED:=sed
 PKG_CONFIG?=pkg-config
