## mandos 1.8.11

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.9
+version:=1.8.11
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -156,10 +156,13 @@
 
 objects:=$(addsuffix .o,$(CPROGS))
 
+.PHONY: all
 all: $(PROGS) mandos.lsm
 
+.PHONY: doc
 doc: $(DOCS)
 
+.PHONY: html
 html: $(htmldocs)
 
 %.5: %.xml common.ent legalnotice.xml
@@ -282,36 +285,32 @@
 		$@)
 
 # Need to add the GnuTLS, Avahi and GPGME libraries
-plugins.d/mandos-client: plugins.d/mandos-client.c
-	$(LINK.c) $^ $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(strip\
-		) $(GPGME_CFLAGS) $(GNUTLS_LIBS) $(strip\
-		) $(AVAHI_LIBS) $(GPGME_LIBS) $(LOADLIBES) $(strip\
-		) $(LDLIBS) -o $@
+plugins.d/mandos-client: CFLAGS += $(GNUTLS_CFLAGS) $(strip \
+	) $(AVAHI_CFLAGS) $(GPGME_CFLAGS)
+plugins.d/mandos-client: LDLIBS += $(GNUTLS_LIBS) $(strip \
+	) $(AVAHI_LIBS) $(GPGME_LIBS)
 
 # Need to add the libnl-route library
-plugin-helpers/mandos-client-iprouteadddel: plugin-helpers/mandos-client-iprouteadddel.c
-	$(LINK.c) $(LIBNL3_CFLAGS) $^ $(LIBNL3_LIBS) $(strip\
-		) $(LOADLIBES) $(LDLIBS) -o $@
+plugin-helpers/mandos-client-iprouteadddel: CFLAGS += $(LIBNL3_CFLAGS)
+plugin-helpers/mandos-client-iprouteadddel: LDLIBS += $(LIBNL3_LIBS)
 
 # Need to add the GLib and pthread libraries
-dracut-module/password-agent: dracut-module/password-agent.c
-	$(LINK.c) $(GLIB_CFLAGS) $^ $(GLIB_LIBS) -lpthread $(strip\
-		) $(LOADLIBES) $(LDLIBS) -o $@
-
-.PHONY : all doc html clean distclean mostlyclean maintainer-clean \
-	check run-client run-server install install-html \
-	install-server install-client-nokey install-client uninstall \
-	uninstall-server uninstall-client purge purge-server \
-	purge-client
-
+dracut-module/password-agent: CFLAGS += $(GLIB_CFLAGS)
+dracut-module/password-agent: LDLIBS += $(GLIB_LIBS) -lpthread
+
+.PHONY: clean
 clean:
 	-rm --force $(CPROGS) $(objects) $(htmldocs) $(DOCS) core
 
+.PHONY: distclean
 distclean: clean
+.PHONY: mostlyclean
 mostlyclean: clean
+.PHONY: maintainer-clean
 maintainer-clean: clean
 	-rm --force --recursive keydir confdir statedir
 
+.PHONY: check
 check: all
 	./mandos --check
 	./mandos-ctl --check
@@ -321,6 +320,7 @@
 	./dracut-module/password-agent --test
 
 # Run the client with a local config and key
+.PHONY: run-client
 run-client: all keydir/seckey.txt keydir/pubkey.txt \
 			keydir/tls-privkey.pem keydir/tls-pubkey.pem
 	@echo '######################################################'
@@ -334,3 +334,7 @@
 	@echo '## From mandos-client:                               #'
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
+	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
+	@echo '# Failed to bring up interface "*": Operation not... #'
+	@echo '#                                                    #'
+	@echo '# (The messages are caused by not running as root,   #'
