## mandos 1.8.15

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
-FORTIFY:=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
+FORTIFY:=-D_FORTIFY_SOURCE=3 -fstack-protector-all -fPIC
 LINK_FORTIFY_LD:=-z relro -z now
 LINK_FORTIFY:=
 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.14
+version:=1.8.15
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -296,6 +296,7 @@
 
 # Need to add the GLib and pthread libraries
 dracut-module/password-agent: CFLAGS += $(GLIB_CFLAGS)
+# Note: -lpthread is unnecessary with the GNU C library 2.34 or later
 dracut-module/password-agent: LDLIBS += $(GLIB_LIBS) -lpthread
 
 .PHONY: clean
@@ -337,4 +338,3 @@
 	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
 	@echo '# Failed to bring up interface "*": Operation not... #'
 	@echo '#                                                    #'
-	@echo '# (The messages are caused by not running as root,   #'
