## mandos 1.8.16

=== Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 LANGUAGE:=-std=gnu11
 FEATURES:=-D_FILE_OFFSET_BITS=64
 htmldir:=man
-version:=1.8.15
+version:=1.8.16
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -96,8 +96,10 @@
 GNUTLS_LIBS:=$(shell $(PKG_CONFIG) --libs gnutls)
 AVAHI_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I avahi-core)
 AVAHI_LIBS:=$(shell $(PKG_CONFIG) --libs avahi-core)
-GPGME_CFLAGS:=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
-GPGME_LIBS:=$(shell gpgme-config --libs; getconf LFS_LIBS; \
+GPGME_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I gpgme 2>/dev/null \
+	|| gpgme-config --cflags; getconf LFS_CFLAGS)
+GPGME_LIBS:=$(shell $(PKG_CONFIG) --libs gpgme 2>/dev/null \
+	|| gpgme-config --libs; getconf LFS_LIBS; \
 	getconf LFS_LDFLAGS)
 LIBNL3_CFLAGS:=$(shell $(PKG_CONFIG) --cflags-only-I libnl-route-3.0)
 LIBNL3_LIBS:=$(shell $(PKG_CONFIG) --libs libnl-route-3.0)
@@ -336,5 +338,3 @@
 	@echo '# Failed to raise privileges: Operation not permi... #'
 	@echo '# Warning: network hook "*" exited with status *     #'
 	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
-	@echo '# Failed to bring up interface "*": Operation not... #'
-	@echo '#                                                    #'
