=== debian/changelog ===
mandos (1.8.16-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:09 +1100

mandos (1.8.16-1ubuntu3) noble; urgency=medium

  * Don't hard-code dependency on shared library.
  * Drop multiple outdated gnutls versioned (build-) dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 17:29:41 +0100

mandos (1.8.16-1build4) noble; urgency=high

  * No change rebuild against libgnutls30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:08 +0100

mandos (1.8.16-1build3) noble; urgency=medium

  * No-change rebuild against libgpgme t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 17:26:44 +0100

mandos (1.8.16-1build2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:09:09 +0000

mandos (1.8.16-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:58 +0000

mandos (1.8.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules (override_dh_fixperms-arch): Make sure dh_fixperms also
    is applied to the directory
    /usr/share/doc/mandos-client/examples/network-hooks.d (but still not
    to the files therein).
  * debian/po/pt_BR.po: Add Brazilian Portuguese translation of the
    debconf template (Closes: #1026400).
  * debian/po/fr.po: Add missing whitespace to the id and translation
    for msgid " key_id = <HEXSTRING>".
  * debian/control (Standards-Version): Change to "4.6.2".

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 08 Feb 2023 00:58:24 +0100
