=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,11 @@
 
 %:
 	dh $@
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' libgnutls28-dev \
+			| sed -E 's/.*(libgnutls3[[:alnum:].-]+).*/\1/')
 
 override_dh_auto_build-arch:
 	LC_ALL=en_US.utf8 dh_auto_build -- all doc
@@ -35,7 +40,7 @@
 		--exclude etc/mandos/plugin-helpers \
 		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugins.d \
 		--exclude usr/lib/$(DEB_HOST_MULTIARCH)/mandos/plugin-helpers \
-		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
+		--exclude usr/share/doc/mandos-client/examples/network-hooks.d/
 	chmod --recursive g-w -- \
 	"$(CURDIR)/debian/mandos-client/usr/share/doc/mandos-client/examples/network-hooks.d"
