## mandos 1.8.17

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,8 @@
 
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
-FORTIFY:=-D_FORTIFY_SOURCE=3 -fstack-protector-all -fPIC
+FORTIFY:=-fstack-protector-all -fPIC
+CPPFLAGS+=-D_FORTIFY_SOURCE=3
 LINK_FORTIFY_LD:=-z relro -z now
 LINK_FORTIFY:=
 
@@ -41,9 +42,9 @@
 #COVERAGE=--coverage
 OPTIMIZE:=-Os -fno-strict-aliasing
 LANGUAGE:=-std=gnu11
-FEATURES:=-D_FILE_OFFSET_BITS=64
+CPPFLAGS+=-D_FILE_OFFSET_BITS=64 -D_TIME_BITS=64
 htmldir:=man
-version:=1.8.16
+version:=1.8.17
 SED:=sed
 PKG_CONFIG?=pkg-config
 
@@ -63,6 +64,7 @@
 # DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
 # STATEDIR:=$(DESTDIR)/var/lib/mandos
 # LIBDIR:=$(PREFIX)/lib
+# DBUSPOLICYDIR:=$(DESTDIR)/etc/dbus-1/system.d
 ##
 
 ## These settings are for a package-type install
@@ -83,6 +85,7 @@
 			break; \
 		fi; \
 	done)
+DBUSPOLICYDIR:=$(DESTDIR)/usr/share/dbus-1/system.d
 ##
 
 SYSTEMD:=$(DESTDIR)$(shell $(PKG_CONFIG) systemd \
@@ -108,7 +111,7 @@
 
 # Do not change these two
 CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
-	$(LANGUAGE) $(FEATURES) -DVERSION='"$(version)"'
+	$(LANGUAGE) -DVERSION='"$(version)"'
 LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(strip \
 	) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
@@ -286,6 +289,16 @@
 		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
 		$@)
 
+# Does the linker support the --no-warn-execstack option?
+ifeq ($(shell echo 'int main(){}'|$(CC) --language=c /dev/stdin -o /dev/null -Xlinker --no-warn-execstack >/dev/null 2>&1 && echo yes),yes)
+# These programs use nested functions, which uses an executable stack
+plugin-runner: LDFLAGS += -Xlinker --no-warn-execstack
+dracut-module/password-agent: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/password-prompt: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/mandos-client: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/plymouth: LDFLAGS += -Xlinker --no-warn-execstack
+endif
+
 # Need to add the GnuTLS, Avahi and GPGME libraries
 plugins.d/mandos-client: CFLAGS += $(GNUTLS_CFLAGS) $(strip \
 	) $(AVAHI_CFLAGS) $(GPGME_CFLAGS)
@@ -327,14 +340,3 @@
 run-client: all keydir/seckey.txt keydir/pubkey.txt \
 			keydir/tls-privkey.pem keydir/tls-pubkey.pem
 	@echo '######################################################'
-	@echo '# The following error messages are harmless and can  #'
-	@echo '#  be safely ignored:                                #'
-	@echo '## From plugin-runner:                               #'
-	@echo '# setgid: Operation not permitted                    #'
-	@echo '# setuid: Operation not permitted                    #'
-	@echo '## From askpass-fifo:                                #'
-	@echo '# mkfifo: Permission denied                          #'
-	@echo '## From mandos-client:                               #'
-	@echo '# Failed to raise privileges: Operation not permi... #'
-	@echo '# Warning: network hook "*" exited with status *     #'
-	@echo '# ioctl SIOCSIFFLAGS +IFF_UP: Operation not permi... #'
