=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mandos
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mandos Maintainers <mandos@recompile.se>
+Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
-	libglib2.0-dev (>=2.40),
-	libgnutls28-dev (>= 3.6.6),
-	xsltproc, pkg-config, libnl-route-3-dev, systemd
+	libglib2.0-dev (>=2.40), libgnutls28-dev (>= 3.3.0),
+	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
+	xsltproc, pkg-config, libnl-route-3-dev,
+	systemd-dev | systemd (<< 256~rc2-1)
 Build-Depends-Indep: python3 (>= 3), python3-dbus, python3-gi,
 	po-debconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos
@@ -21,10 +21,10 @@
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python3 (>= 3),
-	${lib:Depends} (>= 3.6.6),
+	libgnutls30t64 | libgnutls30 (>= 3.3.0),
+	libgnutls30t64 | libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	python3-dbus, python3-gi, avahi-daemon, adduser,
-	python3-urwid, gnupg2 | gnupg,
-	systemd-sysv | lsb-base (>= 3.0-6),
+	python3-urwid, gnupg, systemd-sysv | lsb-base (>= 3.0-6),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh-client | fping
 Suggests: libc6-dev | libc-dev, c-compiler
@@ -49,7 +49,7 @@
 	cryptsetup (<< 2:2.0.3-1) | cryptsetup-initramfs,
 	initramfs-tools (>= 0.99) | dracut (>= 044+241-3),
 	dpkg-dev (>=1.16.0),
-	gnutls-bin (>= 3.6.6),
+	gnutls-bin (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)
